## Contents

- Methods

class solace.QueueDescriptor extends AbstractQueueDescriptor

Creates an instance of solace.QueueDescriptor.

## Constructor Top

| QueueDescriptor ( Object | solace.QueueDescriptor queueSpec ) |  |

## Methods Top

String | getName ( ) |
String | toString ( ) |

## Constructor details Top

###
QueueDescriptor ( Object | solace.QueueDescriptor queueSpec )

Creates an instance of solace.QueueDescriptor.

#### Parameters

Object | solace.QueueDescriptor | queueSpec A specification for this descriptor.
String | name The remote name to which this specification refers.
solace.QueueType | type The type of queue for this specification.
Boolean | durable = `true` `true` if this refers to a durable queue. (Optional)

## Methods Detail Top

###
public String getName ( )

Gets/sets the remote name to which this descriptor refers.

#### Return Value

String | The name of the queue.

###
public String toString ( )

An informational summary of this object, subject to change.

#### Return Value

String | A summary of this object.